all: test1

exercise_06_13: exercise_06_13.o | .gitignore
	@g++ -Wall -Wextra -Werror -g3  $^  -o  $@
%.ii: %.cpp
	@g++ -E  -Wall -Wextra -Werror -g3  $<  -o $@
%.s: %.ii
	@g++ -S -Wall -Wextra -Werror -g3 $<  -o $@
%.o: %.s
	@g++ -c -Wall -Wextra -Werror -g3 $<  -o $@

.gitignore:
	@echo exercise_06_13 > $@

clean:
	rm -f *.ii *.s *.o *.out exercise_06_13 .gitignore

test%: exercise_06_13
	@./exercise_06_13 < $@.in > $@.out || echo "Test 1 is executing..."
	@diff $@.out $@.expected && echo PASSED || echo FAILED

.PRECIOUS: $(progname).ii $(progname).s
.SECONDARY: $(progname).ii $(progname).s

